import NetworkService from "../../../app/service/network/NetworkService";
import WalletEvent, { ConnectionState, WalletEvents } from "../../../app/service/event/WalletEvent";
import EventService from "../../../app/service/event/EventService";
export { WalletEvent, WalletEvents, ConnectionState };
export type EventParameter<T extends keyof WalletEvent> = Parameters<WalletEvent[T]>[0];
interface EventInPortBase {
    register(events: Partial<WalletEvent>): void;
}
declare class EventInPort implements EventInPortBase {
    private readonly networkService;
    private readonly eventService;
    constructor(networkService?: NetworkService, eventService?: EventService);
    register(events: Partial<WalletEvent>): void;
}
declare const Event: EventInPort;
export default Event;
